Skip to main content
POST
Request Order Cancellation

Authorizations

Authorization
string
header
required

As a Channel Integrator you will receive a API Refresh Token. With such a Refresh Token you need to request an Access Token with a limited Lifetime (see POST /v1/auth). This Access Token must be provided as a Bearer Token in the Authorization Header with every request.

Body

application/json

Cancellation request originating from the marketplace that the seller has to accept or deny.

orderCancellationRequestId
string<uuid>
required

A unique identifier for the order cancellation request. This ID should by used by Seller to identify the cancellation response from the Channel.

Example:

"82992d3a-b153-4422-b539-f4d1f1b4aecb"

sellerId
string
required

A unique Id identify a Seller on a specific SalesChannel. The SellerId is generated from the Channel itself during the Seller SignUp Process.

Pattern: ^\w{1,50}$
Example:

"4711"

orderId
string
required
Required string length: 1 - 150
Example:

"43523-43432-43532"

orderItem
OrderCancellationItem · object[] | null
required
Minimum array length: 1
cancelReason
enum<string>
  • BUYER_CANCELLED: the buyer cancelled the order.
  • UNDELIVERABLE_TO_SHIPPING_ADDRESS: Could not deliver to the address given by the buyer.
  • UNDELIVERABLE_BY_CARRIER: Carrier do not ship to the buyerss location.
  • OUT_OF_STOCK: The item is out of stock, for example because you are temporarily or permenantly sold out.
  • DELAYED_INVENTORY: The item is not in your inventory and there is a delay in delivery by the supplier.
  • PRICING_ERROR: The price on the connected marketplace was incorrect.
  • OTHER: Well, objvoiusly there is some reason missing in this list.
Available options:
BUYER_CANCELLED,
UNDELIVERABLE_TO_SHIPPING_ADDRESS,
UNDELIVERABLE_BY_CARRIER,
OUT_OF_STOCK,
DELAYED_INVENTORY,
PRICING_ERROR,
OTHER
message
string
Maximum string length: 1024

Response

Order Cancellation received.